# vim: set sw=4 ts=4 et:
# Copyright (c) 2006-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de


Summary:        Monkey's Audio Codec, a lossless audio codec
Name:           libmac
Version:        3.99_u4_b5
%define pkg_version	3.99-u4-b5
%define soname  2
Release:        2.1
License:        Monkey's Audio Source Code License Agreement
Group:          System/Libraries
Source:         mac-%{pkg_version}.tar.bz2
Source90:       libmac-rpmlintrc
Patch:          libmac-const-char.patch
URL:            http://public.www.planetmirror.com/pub/sf/m/ma/mac-port
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  gcc-c++

%description
MAC: short for Monkey's Audio Codec, a lossless audio codec (almost with the
.ape extension).

%package -n libmac%{soname}
Summary:        Monkey's Audio Codec, a lossless audio codec
Group:          System/Libraries

%description -n libmac%{soname}
MAC: short for Monkey's Audio Codec, a lossless audio codec (almost with the
.ape extension).

%package -n mac
Summary:        Monkey's Audio Codec console player
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       libmac%{soname} = %{version}

%description -n mac
This package contains the console player.

%package -n libmac-devel
Summary:        Monkey's Audio Codec, a lossless audio codec - API libraries and include files
Group:          Development/Languages/C and C++
Requires:       libmac%{soname} = %{version}

%description -n libmac-devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%prep
%setup -q -n "mac-%{pkg_version}"
%patch -p1
# the tarball contains objects from old build, so we need to clean up first...
make distclean

%build
%configure
%__make %{?_smp_flags}

%install
%makeinstall
%__rm "%{buildroot}%{_libdir}"/*.la

%post   -n libmac%{soname} -p /sbin/ldconfig
%postun -n libmac%{soname} -p /sbin/ldconfig

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -n libmac%{soname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/libmac.so.%{soname}
%{_libdir}/libmac.so.%{soname}.*

%files -n libmac-devel
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/libmac.so
%{_libdir}/libmac.a
%{_includedir}/mac

%files -n mac
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%doc src/*.htm src/*.txt
%{_bindir}/mac

%changelog
* Sat May 19 2012 seife+obs@b1-systems.com
- fix build by removing maintainer's crap in %%setup
* Wed Sep  5 2007 toni@links2linux.de
- changed package layout according Shared Library Packaging Policy
- added subpackage mac for the console player
- Corrected URL
* Sun Sep 17 2006 toni@links2linux.de
- build for packman
* Sat Jun 24 2006 oc2pus@arcor.de 3.99_u4_b5-0.oc2pus.1
- initial release 3.99_u4_b5
